import { BlockData, TxData, TxMerkleTreeData } from "../types";
declare class AeternityService {
    private _nodeUrl;
    private _compilerUrl;
    private _contractBytecode;
    constructor(nodeUrl: string, compilerUrl: string, contractBytecode: string);
    getTxDataByHash(hash: string): Promise<TxData>;
    decodeContractCallData(callData: string): Promise<TxMerkleTreeData>;
    getBlockData(height: number): Promise<BlockData>;
    getBlockhainHeight(): Promise<number>;
}
export default AeternityService;
