import { StatusData } from "../types";
declare class CloudflareService {
    private _cdnUrl;
    private _defaultBucket;
    private _statusesService;
    constructor(cdnUrl: string, defaultBucket: string);
    fetchFile(fileName: string, bucket?: string): Promise<unknown>;
    fetchStatusData(statusFileName: string): Promise<StatusData>;
    readStatuses(statusId: string): Promise<Array<StatusData>>;
    getMerkleTree(fileName: string): Promise<Array<string>>;
}
export default CloudflareService;
