"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeQRCodes = exports.removeSpacesAndLinebreaks = void 0;
exports.removeSpacesAndLinebreaks = (s) => {
    const regexNewlines = new RegExp(/[\r\n\v]+/g);
    const regexSpaces = new RegExp(/\s+|\u200B/g);
    return s.replace(regexNewlines, "").replace(regexSpaces, "");
};
exports.removeQRCodes = (s) => {
    return s
        .replace(/\[qrcode.png\]\s*<https:\/\/[\w./?=\-&]+>/g, "")
        .replace(/<https:\/\/[\w./?=\-&]+>\s*\[qrcode.png\]/g, "");
};
